Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1729621 - [abrt] gnome-control-center: cc_shell_model_set_panel_visibility(): gnome-control-center killed by SIGABRT
Summary: [abrt] gnome-control-center: cc_shell_model_set_panel_visibility(): gnome-con...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-control-center
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pete Walter
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:b6b5fa582707a4e26c4006ae256...
: 1738232 1764486 1765876 1770550 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-12 23:22 UTC by joshua
Modified: 2020-05-26 17:50 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 17:50:03 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (44.61 KB, text/plain)
2019-07-12 23:22 UTC, joshua
no flags Details
File: cgroup (334 bytes, text/plain)
2019-07-12 23:22 UTC, joshua
no flags Details
File: core_backtrace (13.40 KB, text/plain)
2019-07-12 23:22 UTC, joshua
no flags Details
File: cpuinfo (1.29 KB, text/plain)
2019-07-12 23:22 UTC, joshua
no flags Details
File: dso_list (27.98 KB, text/plain)
2019-07-12 23:22 UTC, joshua
no flags Details
File: environ (5.86 KB, text/plain)
2019-07-12 23:22 UTC, joshua
no flags Details
File: limits (1.29 KB, text/plain)
2019-07-12 23:22 UTC, joshua
no flags Details
File: maps (156.52 KB, text/plain)
2019-07-12 23:22 UTC, joshua
no flags Details
File: mountinfo (4.18 KB, text/plain)
2019-07-12 23:22 UTC, joshua
no flags Details
File: open_fds (1.66 KB, text/plain)
2019-07-12 23:22 UTC, joshua
no flags Details
File: proc_pid_status (1.33 KB, text/plain)
2019-07-12 23:22 UTC, joshua
no flags Details

Description joshua 2019-07-12 23:22:03 UTC
Version-Release number of selected component:
gnome-control-center-3.32.2-1.fc30

Additional info:
reporter:       libreport-2.10.1
backtrace_rating: 4
cmdline:        gnome-control-center
crash_function: cc_shell_model_set_panel_visibility
executable:     /usr/bin/gnome-control-center
journald_cursor: s=d79510957fc7485cb52f021ecd3beb94;i=22b27;b=b4b1457235df4e77bf1ce28e6d33b8de;m=1eac1a4d9d;t=58d5feda6c493;x=71e0a1395476b24f
kernel:         5.1.16-300.fc30.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Potential duplicate: bug 1645887

Comment 1 joshua 2019-07-12 23:22:05 UTC
Created attachment 1590052 [details]
File: backtrace

Comment 2 joshua 2019-07-12 23:22:06 UTC
Created attachment 1590053 [details]
File: cgroup

Comment 3 joshua 2019-07-12 23:22:07 UTC
Created attachment 1590054 [details]
File: core_backtrace

Comment 4 joshua 2019-07-12 23:22:08 UTC
Created attachment 1590055 [details]
File: cpuinfo

Comment 5 joshua 2019-07-12 23:22:09 UTC
Created attachment 1590056 [details]
File: dso_list

Comment 6 joshua 2019-07-12 23:22:10 UTC
Created attachment 1590057 [details]
File: environ

Comment 7 joshua 2019-07-12 23:22:11 UTC
Created attachment 1590058 [details]
File: limits

Comment 8 joshua 2019-07-12 23:22:12 UTC
Created attachment 1590059 [details]
File: maps

Comment 9 joshua 2019-07-12 23:22:13 UTC
Created attachment 1590060 [details]
File: mountinfo

Comment 10 joshua 2019-07-12 23:22:14 UTC
Created attachment 1590061 [details]
File: open_fds

Comment 11 joshua 2019-07-12 23:22:15 UTC
Created attachment 1590062 [details]
File: proc_pid_status

Comment 12 Thomas Meyer 2019-07-14 18:39:56 UTC
Similar problem has been detected:

running gnome-control-center without gdm from an vt with gnome-shell --wayland

reporter:       libreport-2.10.1
backtrace_rating: 4
cmdline:        gnome-control-center
crash_function: cc_shell_model_set_panel_visibility
executable:     /usr/bin/gnome-control-center
journald_cursor: s=67e922afc21d4219a2cbbb4a2b590dfe;i=16d6c;b=684fafc3d88e48229235c7d35daef540;m=1f7d2f4e4;t=58da1c8c18532;x=9e94a9c49b17e63d
kernel:         5.0.21
package:        gnome-control-center-3.32.2-1.fc30
reason:         gnome-control-center killed by SIGABRT
rootdir:        /
runlevel:       N 3
type:           CCpp
uid:            1000

Comment 13 sezer mehmed 2019-08-06 15:00:36 UTC
*** Bug 1738232 has been marked as a duplicate of this bug. ***

Comment 14 Jürgen Geinitz 2019-10-23 07:03:57 UTC
*** Bug 1764486 has been marked as a duplicate of this bug. ***

Comment 15 PeterVDanies 2019-10-26 22:25:10 UTC
*** Bug 1765876 has been marked as a duplicate of this bug. ***

Comment 16 b.gatessucks 2019-11-10 12:30:14 UTC
*** Bug 1770550 has been marked as a duplicate of this bug. ***

Comment 17 Ben Cotton 2020-04-30 20:44:16 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 18 Ben Cotton 2020-05-26 17:50:03 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.